cURL
curl --request GET \
--url https://api.brightdata.com/zone/route_ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/zone/route_ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/zone/route_ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ip": "10.0.0.0",
"country": "us"
},
{
"ip": "1.1.1.1",
"country": "gb"
},
{
"ip": "1.1.2.2",
"country": "hk"
}
]Static IPs
Available Datacenter & ISP IPs/zone
Use the Bright Data Account Management API to available Datacenter & ISP IPs/Zone. GET /zone/route_ips returns 200 OK with zone or account JSON.
GET
/
zone
/
route_ips
cURL
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Query Parameters
Zone
2-letter Country code
Return JSON array of [{ip, country},..] instead of plain list of IPs
Response
200 - application/json
Successful response with plain IPs list separated by new line, or JSON array of [{ip, country},..] in case list_countries=true
Was this page helpful?